import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';

import TextArea from './ZTextArea'


const FormItem = Form.Item;


export default class T77D extends Component
{

    name='77D'
    desp = "Narrative"
    
    pattern = ""
    tno = -1

    onChange=(val)=>{
        this.props.onValue([{s1:val},val])
    }

    render()
    {
       let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}
        return (<Row>
            <Col>
            <FormItem
                  help={errmsg.s1}
                 validateStatus={errmsg.s1?'error':null}
                >
                        <TextArea wrap="physical" type= "textarea" maxLength={35*6} cols={35} rows={10} style={{imeMode:'disabled'}} placeholder="Narrative Description of the Original Message to Which the Answer Relates" value={value.s1} onChange={(e)=>this.onChange(e.target.value)}/>
                </FormItem>
            
            </Col>
        </Row>)
    }
}